summaryrefslogtreecommitdiffstats
path: root/source/l/automoc4/automoc4.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/automoc4/automoc4.SlackBuild')
-rwxr-xr-xsource/l/automoc4/automoc4.SlackBuild22
1 files changed, 18 insertions, 4 deletions
diff --git a/source/l/automoc4/automoc4.SlackBuild b/source/l/automoc4/automoc4.SlackBuild
index 2d898de90..455d2e482 100755
--- a/source/l/automoc4/automoc4.SlackBuild
+++ b/source/l/automoc4/automoc4.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,20 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.9.88
-ARCH=${ARCH:-x86_64}
+PKGNAM=automoc4
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
NUMJOBS=${NUMJOBS:--j6}
CWD=$(pwd)
@@ -39,12 +50,15 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-tar xvf $CWD/automoc4-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/automoc4-$VERSION.tar.?z* || exit 1
cd automoc4-$VERSION || exit 1
chown -R root:root .
find . \